Modify

Opened 8 years ago

Closed 8 years ago

#5798 closed defect (fixed)

Error message if Mapdust service is unavailable

Reported by: ch70 Owned by: jBeata
Priority: major Milestone:
Component: Plugin mapdust Version:
Keywords: mapdust popup error message Cc:

Description

If the mapdust service is unavailable, the mapdust plugin pops up the following error message:

There was a Mapdust service error. Please try later.

Problem is that this error message pops up:

  1. with every change of the zoom level,
  2. with every move of the map and
  3. - that's most annoying - doesn't stop even if the plugin is deactivated and no mapdust layer left! (although the message pops up less frequently)

System details:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2010-12-08 02:31:28
Last Changed Author: bastiK
Revision: 3706
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2010-12-07 12:49:44 +0100 (Tue, 07 Dec 2010)
Last Changed Rev: 3706

Identification: JOSM/1.5 (3706 de)
Memory Usage: 119 MB / 448 MB (19 MB allocated, but free)
Java version: 1.6.0_22, Sun Microsystems Inc., Java HotSpot(TM) Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: FixAddresses (24232)
Plugin: RoadSigns (22850)
Plugin: alignways (23560)
Plugin: buildings_tools (23804)
Plugin: colorscheme (21563)
Plugin: download_along (22427)
Plugin: graphview (23435)
Plugin: imagery (24675)
Plugin: mapdust (24733)
Plugin: measurement (22547)
Plugin: openstreetbugs (23747)
Plugin: remotecontrol (22734)
Plugin: restart (24396)
Plugin: reverter (23278)
Plugin: tageditor (21026)
Plugin: tagging-preset-tester (22454)
Plugin: turnrestrictions (24125)

Attachments (0)

Change History (3)

comment:1 Changed 8 years ago by ch70

Priority: normalmajor

Again, the mapdust service is unavailable. Although I haven't activate the plugin, the error message pops up whenever I move or zoom the map making the work with JOSM almost impossible.

System details:

Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2011-01-07 02:31:05
Last Changed Author: framm
Revision: 3776
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2011-01-07 00:54:21 +0100 (Fri, 07 Jan 2011)
Last Changed Rev: 3776

Identification: JOSM/1.5 (3776 de)
Memory Usage: 379 MB / 448 MB (104 MB allocated, but free)
Java version: 1.6.0_22, Sun Microsystems Inc., Java HotSpot(TM) Server VM
Operating system: Linux
Dataset consistency test: No problems found

Plugin: FixAddresses (24942)
Plugin: RoadSigns (22850)
Plugin: alignways (24815)
Plugin: buildings_tools (23804)
Plugin: colorscheme (21563)
Plugin: download_along (24986)
Plugin: graphview (23435)
Plugin: mapdust (24821)
Plugin: measurement (22547)
Plugin: openstreetbugs (23747)
Plugin: restart (24396)
Plugin: reverter (24887)
Plugin: tageditor (21026)
Plugin: tagging-preset-tester (22454)
Plugin: turnrestrictions (24937)

comment:2 Changed 8 years ago by anonymous

This issue will be resolved in the new MapDust JOSM release.

comment:3 Changed 8 years ago by jBeata

Resolution: fixed
Status: newclosed

In the case if there was a MapDust service error, and the plugin did not download the data with success, the following message will be shown to the user: " Service Error". This error is shown only once to the user, and will not be shown at every zoom and pan. Also this message will be shown if the user presses the "Refresh" button, and there was a MapDust service error.
The fix is contained in the following mapdust JOSM plugin version: 25127 .

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain jBeata.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.